Package tigase.vhosts.filter

## Class CustomDomainFilter

- java.lang.Object
- - tigase.vhosts.filter.CustomDomainFilter

-     public final class CustomDomainFilter
      extends java.lang.Object

  Author:
    Wojtek

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `isAllowed​(JID source, JID destination, java.lang.String rules)` |
    `static boolean` | `isAllowed​(JID source, JID destination, java.lang.String[] rules)` |
    `static boolean` | `isAllowed​(JID source, JID destination, java.util.Set<Rule> rules)` |
    `static java.util.Set<Rule>` | `parseRules​(java.lang.String rules)` |
    `static java.util.Set<Rule>` | `parseRules​(java.lang.String[] rules)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isAllowed

          public static boolean isAllowed​(JID source,
                                          JID destination,
                                          java.lang.String rules)

    - #### isAllowed

          public static boolean isAllowed​(JID source,
                                          JID destination,
                                          java.lang.String[] rules)

    - #### isAllowed

          public static boolean isAllowed​(JID source,
                                          JID destination,
                                          java.util.Set<Rule> rules)

    - #### parseRules

          public static java.util.Set<Rule> parseRules​(java.lang.String[] rules)
                                                throws java.text.ParseException

      Throws:
        `java.text.ParseException`

    - #### parseRules

          public static java.util.Set<Rule> parseRules​(java.lang.String rules)
                                                throws java.text.ParseException

      Throws:
        `java.text.ParseException`